function::printk
Prev | Chapter 22. Logging Tapset | Next

## Name

function::printk — Send a message to the kernel trace buffer

## Synopsis

        printk(level:long,msg:string)

## Arguments

`level`

  an integer for the severity level (0=KERN_EMERG ... 7=KERN_DEBUG)

`msg`

  The formatted message string

## Description

Print a line of text to the kernel dmesg/console with the given severity. An implicit end-of-line is added. This function may not be safely called from all kernel probe contexts, so is restricted to guru mode only.

Prev | Up | Next
function::log | Home | function::warn